import Request from '../common/request.js';
let request = new Request().http

// 获取真实链接
export function getRealLink(data, type) {
	return request('/getRealLink', data, 'GET', undefined, type);
}

// h5课程简介
export function getH5CourseByVideoId(data, type) {
	return request('/getH5CourseByVideoId', data, 'GET', undefined, type);
}

// h5课程详情加问答
export function getH5CourseVideoDetails(data, type) {
	return request('/getH5CourseVideoDetails', data, 'GET', undefined, type);
}

// 答题发红包
export function courseAnswer(data, type) {
	return request('/courseAnswer', data, 'POST', 'application/json;charset=UTF-8', type);
}

// // 记录看课时间（旧）
// export function getFinishCourseVideo(data,type) {
// 	return request('/getFinishCourseVideo', data, 'POST', 'application/json;charset=UTF-8',type);
// }

// 记录看课时间（新）
export function getFinishCourseVideo(data, type) {
	return request('/updateWatchDuration', data, 'POST', 'application/json;charset=UTF-8', type);
}

// 关注客服
export function getIsAddKf(data, type) {
	return request('/isAddKf', data, 'POST', 'application/json;charset=UTF-8', type);
}

// 流量(缓冲百分比)
export function getInternetTraffic(data, type) {
	return request('/getInternetTraffic', data, 'POST', 'application/json;charset=UTF-8', type);
}

// 每十分钟获得积分
export function getIntegralByH5Video(data, type) {
	return request('/getIntegralByH5Video', data, 'POST', 'application/json;charset=UTF-8', type);
}

// 发送奖励
export function sendReward(data, type) {
	return request('/sendReward', data, 'POST', 'application/json;charset=UTF-8', type);
}

// 播放错误上报
export function getErrMsg(data, type) {
	return request('/getErrMsg', data, 'POST', 'application/x-www-form-urlencoded', type);
}


// 获取getWxConfig
export function getWxConfig(data, type) {
	return request('/app/wx/mp/getWxConfig', data, 'GET', undefined, 3);
}

export function loginByMp(data) {
	return request('/app/wx/mp/loginByMp', data, 'POST', 'application/json;charset=UTF-8', 3);
}

// 保存评论数据
export function saveMsg(data, type) {
	return request('/saveMsg', data, 'POST', 'application/json;charset=UTF-8', type);
}

// 撤销评论
export function revokeMsg(data, type) {
	return request('/revokeMsg', data, 'PUT', 'application/json;charset=UTF-8', type);
}

// 获取历史评论数据
export function getComments(data, type) {
	return request('/getComments', data, 'GET', undefined, type);
}
